Skip to content

Get mark price buckets for a currency pair

GET
/v1/public/{currencyPair}/markprice/buckets

Get the mark price buckets for a given currency pair. A maximum of 300 buckets can be returned per call. This means you cannot specify a startTime and endTime that will contain more buckets than our supported max.

Parameters

Path Parameters

currencyPair*

Specify the currency pair for which you want to query the mark price buckets. Examples: BTCUSDC, ETHUSDC, XRPUSDC, ADABTC, ADAETH etc.

Type
string
Required

Query Parameters

periodSeconds

The bucket period in seconds. Valid values: 60 (default), 300, 900, 1800, 3600, 21600, 86400

Type
integer
Format
"int32"
startTime

Start time in ISO 8601 format (e.g., 2025-07-21T08:51:21.604113Z). Default: endTime minus max allowed buckets

Type
string
endTime

End time in ISO 8601 format (e.g., 2025-07-21T10:21:21.604113Z). Default: current time

Type
string
includeEmpty

Include empty buckets in the response

Type
boolean
limit

Maximum number of buckets to return

Type
integer
Format
"int32"
skip

Number of buckets to skip

Type
integer
Format
"int32"

Responses

Mark price buckets retrieved successfully

application/json
JSON
[
{
"currencyPairSymbol": "BTCUSDT",
"bucketPeriodInSeconds": 60,
"startTime": "2025-07-16T11:39:00Z",
"open": "118834",
"close": "118834",
"high": "118834",
"low": "118834"
},
{
"currencyPairSymbol": "BTCUSDT",
"bucketPeriodInSeconds": 60,
"startTime": "2025-07-16T11:38:00Z",
"open": "118821",
"close": "118821",
"high": "118821",
"low": "118821"
}
]

Playground

Variables
Key
Value

Samples